#import "InAppBillingManager.h"
#import <StoreKit/StoreKit.h>

@interface InAppBilling : NSObject <SKProductsRequestDelegate>
{
    InAppBillingDelegate *m_delegate;
}

@property(readwrite) InAppBillingDelegate *m_delegate;

+ (id) sharedInAppBilling;
- (void) addDelegate: (InAppBillingDelegate *) delegate;
- (void) purchaseForItemId: (NSString*) itemId;

- (void) purchasedForItemId: (NSString*) itemId;
- (void) canceled;

@end
